diff --git a/guava-tests/test/com/google/common/math/IntMathTest.java b/guava-tests/test/com/google/common/math/IntMathTest.java
index 12b23e2..1022786 100644
--- a/guava-tests/test/com/google/common/math/IntMathTest.java
+++ b/guava-tests/test/com/google/common/math/IntMathTest.java
@@ -28,8 +28,6 @@ import static java.math.BigInteger.valueOf;
 import static java.math.RoundingMode.FLOOR;
 import static java.math.RoundingMode.UNNECESSARY;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import java.math.BigDecimal;
 import java.math.BigInteger;
@@ -42,7 +40,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class IntMathTest extends TestCase {
   public void testMaxSignedPowerOfTwo() {
     assertTrue(IntMath.isPowerOfTwo(IntMath.MAX_SIGNED_POWER_OF_TWO));
@@ -110,7 +107,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
+  // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
   public void testConstantMaxPowerOfSqrt2Unsigned() {
     assertEquals(
         /*expected=*/ BigIntegerMath.sqrt(BigInteger.ZERO.setBit(2 * Integer.SIZE - 1), FLOOR)
@@ -118,14 +115,14 @@ public class IntMathTest extends TestCase {
         /*actual=*/ IntMath.MAX_POWER_OF_SQRT2_UNSIGNED);
   }
 
-  @GwtIncompatible // pow()
+  // pow()
   public void testConstantsPowersOf10() {
     for (int i = 0; i < IntMath.powersOf10.length - 1; i++) {
       assertEquals(IntMath.pow(10, i), IntMath.powersOf10[i]);
     }
   }
 
-  @GwtIncompatible // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
+  // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
   public void testMaxLog10ForLeadingZeros() {
     for (int i = 0; i < Integer.SIZE; i++) {
       assertEquals(
@@ -134,7 +131,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
+  // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
   public void testConstantsHalfPowersOf10() {
     for (int i = 0; i < IntMath.halfPowersOf10.length; i++) {
       assert IntMath.halfPowersOf10[i]
@@ -159,7 +156,7 @@ public class IntMathTest extends TestCase {
                 2 * IntMath.biggestBinomials.length, IntMath.biggestBinomials.length)));
   }
 
-  @GwtIncompatible // sqrt
+  // sqrt
   public void testPowersSqrtMaxInt() {
     assertEquals(
         /*expected=*/ IntMath.sqrt(Integer.MAX_VALUE, FLOOR),
@@ -179,7 +176,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // java.math.BigInteger
+  // java.math.BigInteger
   public void testIsPowerOfTwo() {
     for (int x : ALL_INTEGER_CANDIDATES) {
       // Checks for a single bit set.
@@ -234,7 +231,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // log10
+  // log10
   public void testLog10ZeroAlwaysThrows() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -245,7 +242,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // log10
+  // log10
   public void testLog10NegativeAlwaysThrows() {
     for (int x : NEGATIVE_INTEGER_CANDIDATES) {
       for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -259,7 +256,7 @@ public class IntMathTest extends TestCase {
   }
 
   // Relies on the correctness of BigIntegerMath.log10 for all modes except UNNECESSARY.
-  @GwtIncompatible // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
+  // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
   public void testLog10MatchesBigInteger() {
     for (int x : POSITIVE_INTEGER_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -270,7 +267,7 @@ public class IntMathTest extends TestCase {
   }
 
   // Relies on the correctness of log10(int, FLOOR) and of pow(int, int).
-  @GwtIncompatible // pow()
+  // pow()
   public void testLog10Exact() {
     for (int x : POSITIVE_INTEGER_CANDIDATES) {
       int floor = IntMath.log10(x, FLOOR);
@@ -284,7 +281,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // log10
+  // log10
   public void testLog10TrivialOnPowerOfTen() {
     int x = 1000000;
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -293,14 +290,14 @@ public class IntMathTest extends TestCase {
   }
 
   // Simple test to cover sqrt(0) for all types and all modes.
-  @GwtIncompatible // sqrt
+  // sqrt
   public void testSqrtZeroAlwaysZero() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       assertEquals(0, IntMath.sqrt(0, mode));
     }
   }
 
-  @GwtIncompatible // sqrt
+  // sqrt
   public void testSqrtNegativeAlwaysThrows() {
     for (int x : NEGATIVE_INTEGER_CANDIDATES) {
       for (RoundingMode mode : RoundingMode.values()) {
@@ -314,7 +311,7 @@ public class IntMathTest extends TestCase {
   }
 
   /* Relies on the correctness of BigIntegerMath.sqrt for all modes except UNNECESSARY. */
-  @GwtIncompatible // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
+  // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
   public void testSqrtMatchesBigInteger() {
     for (int x : POSITIVE_INTEGER_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -327,7 +324,7 @@ public class IntMathTest extends TestCase {
   }
 
   /* Relies on the correctness of sqrt(int, FLOOR). */
-  @GwtIncompatible // sqrt
+  // sqrt
   public void testSqrtExactMatchesFloorOrThrows() {
     for (int x : POSITIVE_INTEGER_CANDIDATES) {
       int floor = IntMath.sqrt(x, FLOOR);
@@ -342,7 +339,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // 2147483646^2 expected=4
+  // 2147483646^2 expected=4
   public void testPow() {
     for (int i : ALL_INTEGER_CANDIDATES) {
       for (int pow : EXPONENTS) {
@@ -548,7 +545,7 @@ public class IntMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedAdd() {
     for (int a : ALL_INTEGER_CANDIDATES) {
       for (int b : ALL_INTEGER_CANDIDATES) {
@@ -559,7 +556,7 @@ public class IntMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedSubtract() {
     for (int a : ALL_INTEGER_CANDIDATES) {
       for (int b : ALL_INTEGER_CANDIDATES) {
@@ -574,7 +571,7 @@ public class IntMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedMultiply() {
     for (int a : ALL_INTEGER_CANDIDATES) {
       for (int b : ALL_INTEGER_CANDIDATES) {
@@ -588,7 +585,7 @@ public class IntMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedPow() {
     for (int a : ALL_INTEGER_CANDIDATES) {
       for (int b : EXPONENTS) {
@@ -673,7 +670,7 @@ public class IntMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // java.math.BigInteger
+  // java.math.BigInteger
   public void testMean() {
     // Odd-sized ranges have an obvious mean
     assertMean(2, 1, 3);
@@ -744,14 +741,14 @@ public class IntMathTest extends TestCase {
     return big.bitLength() <= 31;
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.setDefault(int.class, 1);
     tester.testAllPublicStaticMethods(IntMath.class);
   }
 
-  @GwtIncompatible // isPrime is GWT-incompatible
+  // isPrime is GWT-incompatible
   public void testIsPrime() {
     // Defer correctness tests to Long.isPrime
 
diff --git a/guava-tests/test/com/google/common/math/LongMathTest.java b/guava-tests/test/com/google/common/math/LongMathTest.java
index 40c2ac9..48fc47f 100644
--- a/guava-tests/test/com/google/common/math/LongMathTest.java
+++ b/guava-tests/test/com/google/common/math/LongMathTest.java
@@ -31,8 +31,6 @@ import static java.math.BigInteger.valueOf;
 import static java.math.RoundingMode.FLOOR;
 import static java.math.RoundingMode.UNNECESSARY;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import java.math.BigDecimal;
 import java.math.BigInteger;
@@ -46,7 +44,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class LongMathTest extends TestCase {
   @SuppressWarnings("ConstantOverflow")
   public void testMaxSignedPowerOfTwo() {
@@ -112,7 +109,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantMaxPowerOfSqrt2Unsigned() {
     assertEquals(
         /*expected=*/ BigIntegerMath.sqrt(BigInteger.ZERO.setBit(2 * Long.SIZE - 1), FLOOR)
@@ -120,7 +117,7 @@ public class LongMathTest extends TestCase {
         /*actual=*/ LongMath.MAX_POWER_OF_SQRT2_UNSIGNED);
   }
 
-  @GwtIncompatible // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
+  // BigIntegerMath // TODO(cpovirk): GWT-enable BigIntegerMath
   public void testMaxLog10ForLeadingZeros() {
     for (int i = 0; i < Long.SIZE; i++) {
       assertEquals(
@@ -129,7 +126,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantsPowersOf10() {
     for (int i = 0; i < LongMath.powersOf10.length; i++) {
       assertEquals(LongMath.checkedPow(10, i), LongMath.powersOf10[i]);
@@ -141,7 +138,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantsHalfPowersOf10() {
     for (int i = 0; i < LongMath.halfPowersOf10.length; i++) {
       assertEquals(
@@ -153,14 +150,14 @@ public class LongMathTest extends TestCase {
     assertTrue(nextBigger.compareTo(BigInteger.valueOf(Long.MAX_VALUE)) > 0);
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantsSqrtMaxLong() {
     assertEquals(
         /*expected=*/ LongMath.sqrt(Long.MAX_VALUE, FLOOR),
         /*actual=*/ LongMath.FLOOR_SQRT_MAX_LONG);
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantsFactorials() {
     long expected = 1;
     for (int i = 0; i < LongMath.factorials.length; i++, expected *= i) {
@@ -174,7 +171,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantsBiggestBinomials() {
     for (int k = 0; k < LongMath.biggestBinomials.length; k++) {
       assertTrue(fitsInLong(BigIntegerMath.binomial(LongMath.biggestBinomials[k], k)));
@@ -189,7 +186,7 @@ public class LongMathTest extends TestCase {
     // 2 * k is the smallest value for which we don't replace k with (n-k).
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantsBiggestSimpleBinomials() {
     for (int k = 0; k < LongMath.biggestSimpleBinomials.length; k++) {
       assertTrue(LongMath.biggestSimpleBinomials[k] <= LongMath.biggestBinomials[k]);
@@ -227,7 +224,7 @@ public class LongMathTest extends TestCase {
   }
 
   // Throws an ArithmeticException if "the simple implementation" of binomial coefficients overflows
-  @GwtIncompatible // TODO
+  // TODO
   private long simpleBinomial(int n, int k) {
     long accum = 1;
     for (int i = 0; i < k; i++) {
@@ -237,7 +234,7 @@ public class LongMathTest extends TestCase {
     return accum;
   }
 
-  @GwtIncompatible // java.math.BigInteger
+  // java.math.BigInteger
   public void testIsPowerOfTwo() {
     for (long x : ALL_LONG_CANDIDATES) {
       // Checks for a single bit set.
@@ -293,7 +290,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10ZeroAlwaysThrows() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -304,7 +301,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10NegativeAlwaysThrows() {
     for (long x : NEGATIVE_LONG_CANDIDATES) {
       for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -318,7 +315,7 @@ public class LongMathTest extends TestCase {
   }
 
   // Relies on the correctness of BigIntegerMath.log10 for all modes except UNNECESSARY.
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10MatchesBigInteger() {
     for (long x : POSITIVE_LONG_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -328,7 +325,7 @@ public class LongMathTest extends TestCase {
   }
 
   // Relies on the correctness of log10(long, FLOOR) and of pow(long, int).
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10Exact() {
     for (long x : POSITIVE_LONG_CANDIDATES) {
       int floor = LongMath.log10(x, FLOOR);
@@ -344,7 +341,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10TrivialOnPowerOf10() {
     long x = 1000000000000L;
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -352,7 +349,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtNegativeAlwaysThrows() {
     for (long x : NEGATIVE_LONG_CANDIDATES) {
       for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -366,7 +363,7 @@ public class LongMathTest extends TestCase {
   }
 
   // Relies on the correctness of BigIntegerMath.sqrt for all modes except UNNECESSARY.
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtMatchesBigInteger() {
     for (long x : POSITIVE_LONG_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -378,7 +375,7 @@ public class LongMathTest extends TestCase {
   }
 
   /* Relies on the correctness of sqrt(long, FLOOR). */
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtExactMatchesFloorOrThrows() {
     for (long x : POSITIVE_LONG_CANDIDATES) {
       long sqrtFloor = LongMath.sqrt(x, FLOOR);
@@ -393,7 +390,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testPow() {
     for (long i : ALL_LONG_CANDIDATES) {
       for (int exp : EXPONENTS) {
@@ -402,7 +399,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   @AndroidIncompatible // TODO(cpovirk): File BigDecimal.divide() rounding bug.
   public void testDivNonZero() {
     for (long p : NONZERO_LONG_CANDIDATES) {
@@ -419,7 +416,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   @AndroidIncompatible // Bug in older versions of Android we test against, since fixed.
   public void testDivNonZeroExact() {
     for (long p : NONZERO_LONG_CANDIDATES) {
@@ -439,7 +436,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testZeroDivIsAlwaysZero() {
     for (long q : NONZERO_LONG_CANDIDATES) {
       for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -448,7 +445,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testDivByZeroAlwaysFails() {
     for (long p : ALL_LONG_CANDIDATES) {
       for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -461,7 +458,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testIntMod() {
     for (long x : ALL_LONG_CANDIDATES) {
       for (int m : POSITIVE_INTEGER_CANDIDATES) {
@@ -470,7 +467,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testIntModNegativeModulusFails() {
     for (long x : ALL_LONG_CANDIDATES) {
       for (int m : NEGATIVE_INTEGER_CANDIDATES) {
@@ -483,7 +480,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testIntModZeroModulusFails() {
     for (long x : ALL_LONG_CANDIDATES) {
       try {
@@ -495,7 +492,7 @@ public class LongMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testMod() {
     for (long x : ALL_LONG_CANDIDATES) {
       for (long m : POSITIVE_LONG_CANDIDATES) {
@@ -504,7 +501,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testModNegativeModulusFails() {
     for (long x : ALL_LONG_CANDIDATES) {
       for (long m : NEGATIVE_LONG_CANDIDATES) {
@@ -525,7 +522,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testGCDZero() {
     for (long a : POSITIVE_LONG_CANDIDATES) {
       assertEquals(a, LongMath.gcd(a, 0));
@@ -534,7 +531,7 @@ public class LongMathTest extends TestCase {
     assertEquals(0, LongMath.gcd(0, 0));
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testGCDNegativePositiveThrows() {
     for (long a : NEGATIVE_LONG_CANDIDATES) {
       try {
@@ -550,7 +547,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testGCDNegativeZeroThrows() {
     for (long a : NEGATIVE_LONG_CANDIDATES) {
       try {
@@ -567,7 +564,7 @@ public class LongMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testCheckedAdd() {
     for (long a : ALL_LONG_CANDIDATES) {
       for (long b : ALL_LONG_CANDIDATES) {
@@ -586,7 +583,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   @AndroidIncompatible // slow
   public void testCheckedSubtract() {
     for (long a : ALL_LONG_CANDIDATES) {
@@ -638,7 +635,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testCheckedPow() {
     for (long b : ALL_LONG_CANDIDATES) {
       for (int exp : EXPONENTS) {
@@ -659,7 +656,7 @@ public class LongMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedAdd() {
     for (long a : ALL_LONG_CANDIDATES) {
       for (long b : ALL_LONG_CANDIDATES) {
@@ -670,7 +667,7 @@ public class LongMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedSubtract() {
     for (long a : ALL_LONG_CANDIDATES) {
       for (long b : ALL_LONG_CANDIDATES) {
@@ -685,7 +682,7 @@ public class LongMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedMultiply() {
     for (long a : ALL_LONG_CANDIDATES) {
       for (long b : ALL_LONG_CANDIDATES) {
@@ -699,7 +696,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSaturatedPow() {
     for (long a : ALL_LONG_CANDIDATES) {
       for (int b : EXPONENTS) {
@@ -716,7 +713,7 @@ public class LongMathTest extends TestCase {
   }
 
   // Depends on the correctness of BigIntegerMath.factorial.
-  @GwtIncompatible // TODO
+  // TODO
   public void testFactorial() {
     for (int n = 0; n <= 50; n++) {
       BigInteger expectedBig = BigIntegerMath.factorial(n);
@@ -725,7 +722,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testFactorialNegative() {
     for (int n : NEGATIVE_INTEGER_CANDIDATES) {
       try {
@@ -748,7 +745,7 @@ public class LongMathTest extends TestCase {
   }
 
 
-  @GwtIncompatible // Slow
+  // Slow
   public void testBinomial_exhaustiveNotOverflowing() {
     // Tests all of the inputs to LongMath.binomial that won't cause it to overflow, that weren't
     // tested in the previous method, for k >= 3.
@@ -785,7 +782,7 @@ public class LongMathTest extends TestCase {
   }
 
 
-  @GwtIncompatible // far too slow
+  // far too slow
   public void testSqrtOfPerfectSquareAsDoubleIsPerfect() {
     // This takes just over a minute on my machine.
     for (long n = 0; n <= LongMath.FLOOR_SQRT_MAX_LONG; n++) {
@@ -800,7 +797,7 @@ public class LongMathTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // java.math.BigInteger
+  // java.math.BigInteger
   public void testMean() {
     // Odd-sized ranges have an obvious mean
     assertMean(2, 1, 3);
@@ -884,7 +881,7 @@ public class LongMathTest extends TestCase {
     return big.longValue();
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.setDefault(int.class, 1);
@@ -892,7 +889,7 @@ public class LongMathTest extends TestCase {
     tester.testAllPublicStaticMethods(LongMath.class);
   }
 
-  @GwtIncompatible // isPrime is GWT-incompatible
+  // isPrime is GWT-incompatible
   public void testIsPrimeSmall() {
     // Check the first 1000 integers
     for (int i = 2; i < 1000; i++) {
@@ -900,7 +897,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // isPrime is GWT-incompatible
+  // isPrime is GWT-incompatible
   public void testIsPrimeManyConstants() {
     // Test the thorough test inputs, which also includes special constants in the Miller-Rabin
     // tests.
@@ -909,7 +906,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // isPrime is GWT-incompatible
+  // isPrime is GWT-incompatible
   public void testIsPrimeOnUniformRandom() {
     Random rand = new Random(1);
     for (int bits = 10; bits < 63; bits++) {
@@ -921,7 +918,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // isPrime is GWT-incompatible
+  // isPrime is GWT-incompatible
   public void testIsPrimeOnRandomPrimes() {
     Random rand = new Random(1);
     for (int bits = 10; bits < 63; bits++) {
@@ -932,7 +929,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // isPrime is GWT-incompatible
+  // isPrime is GWT-incompatible
   public void testIsPrimeOnRandomComposites() {
     Random rand = new Random(1);
     for (int bits = 5; bits < 32; bits++) {
@@ -944,7 +941,7 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // isPrime is GWT-incompatible
+  // isPrime is GWT-incompatible
   public void testIsPrimeThrowsOnNegative() {
     try {
       LongMath.isPrime(-1);
@@ -989,7 +986,6 @@ public class LongMathTest extends TestCase {
     Long.MIN_VALUE
   };
 
-  @GwtIncompatible
   public void testRoundToDoubleAgainstBigInteger() {
     for (RoundingMode roundingMode : EnumSet.complementOf(EnumSet.of(UNNECESSARY))) {
       for (long candidate : roundToDoubleTestCandidates) {
@@ -999,7 +995,6 @@ public class LongMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible
   public void testRoundToDoubleAgainstBigIntegerUnnecessary() {
     for (long candidate : roundToDoubleTestCandidates) {
       Double expectedDouble = null;
diff --git a/guava-tests/test/com/google/common/math/MathPreconditionsTest.java b/guava-tests/test/com/google/common/math/MathPreconditionsTest.java
index 5dbe017..66b1fa8 100644
--- a/guava-tests/test/com/google/common/math/MathPreconditionsTest.java
+++ b/guava-tests/test/com/google/common/math/MathPreconditionsTest.java
@@ -18,7 +18,6 @@ package com.google.common.math;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
 import java.math.BigInteger;
 import java.math.RoundingMode;
 import junit.framework.TestCase;
@@ -28,7 +27,6 @@ import junit.framework.TestCase;
  *
  * @author Ben Yu
  */
-@GwtCompatible
 public class MathPreconditionsTest extends TestCase {
 
   public void testCheckPositive_zeroInt() {
diff --git a/guava-tests/test/com/google/common/math/MathTesting.java b/guava-tests/test/com/google/common/math/MathTesting.java
index 6b74f11..9a55865 100644
--- a/guava-tests/test/com/google/common/math/MathTesting.java
+++ b/guava-tests/test/com/google/common/math/MathTesting.java
@@ -27,11 +27,8 @@ import static java.math.RoundingMode.HALF_UP;
 import static java.math.RoundingMode.UP;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Predicate;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.primitives.Doubles;
 import java.math.BigInteger;
@@ -42,7 +39,6 @@ import java.math.RoundingMode;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class MathTesting {
   static final ImmutableSet<RoundingMode> ALL_ROUNDING_MODES =
       ImmutableSet.copyOf(RoundingMode.values());
diff --git a/guava-tests/test/com/google/common/math/PairedStatsTest.java b/guava-tests/test/com/google/common/math/PairedStatsTest.java
index 7dd9e94..53fd7b3 100644
--- a/guava-tests/test/com/google/common/math/PairedStatsTest.java
+++ b/guava-tests/test/com/google/common/math/PairedStatsTest.java
@@ -49,7 +49,6 @@ import static com.google.common.math.StatsTesting.createPairedStatsOf;
 import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.Truth.assertWithMessage;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.math.StatsTesting.ManyValues;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.SerializableTester;
diff --git a/guava-tests/test/com/google/common/math/QuantilesAlgorithm.java b/guava-tests/test/com/google/common/math/QuantilesAlgorithm.java
index 54d310f..beb2962 100644
--- a/guava-tests/test/com/google/common/math/QuantilesAlgorithm.java
+++ b/guava-tests/test/com/google/common/math/QuantilesAlgorithm.java
@@ -16,7 +16,6 @@
 
 package com.google.common.math;
 
-import com.google.common.collect.ImmutableMap;
 import java.math.RoundingMode;
 import java.util.Arrays;
 import java.util.Collection;
diff --git a/guava-tests/test/com/google/common/math/QuantilesAlgorithmTest.java b/guava-tests/test/com/google/common/math/QuantilesAlgorithmTest.java
index 87a962a..34c2b41 100644
--- a/guava-tests/test/com/google/common/math/QuantilesAlgorithmTest.java
+++ b/guava-tests/test/com/google/common/math/QuantilesAlgorithmTest.java
@@ -19,7 +19,6 @@ package com.google.common.math;
 import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.Truth.assertWithMessage;
 
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Sets;
 import java.util.Map;
 import java.util.Random;
diff --git a/guava-tests/test/com/google/common/math/QuantilesTest.java b/guava-tests/test/com/google/common/math/QuantilesTest.java
index a9b7872..4a26d74 100644
--- a/guava-tests/test/com/google/common/math/QuantilesTest.java
+++ b/guava-tests/test/com/google/common/math/QuantilesTest.java
@@ -28,8 +28,6 @@ import static java.math.RoundingMode.CEILING;
 import static java.math.RoundingMode.FLOOR;
 import static java.math.RoundingMode.UNNECESSARY;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Ordering;
 import com.google.common.math.Quantiles.ScaleAndIndexes;
 import com.google.common.primitives.Doubles;
@@ -42,7 +40,6 @@ import java.util.Collections;
 import java.util.List;
 import java.util.Random;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Tests for {@link Quantiles}.
diff --git a/guava-tests/test/com/google/common/math/StatsAccumulatorTest.java b/guava-tests/test/com/google/common/math/StatsAccumulatorTest.java
index 2dba5fb..e40f0ce 100644
--- a/guava-tests/test/com/google/common/math/StatsAccumulatorTest.java
+++ b/guava-tests/test/com/google/common/math/StatsAccumulatorTest.java
@@ -54,7 +54,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.Truth.assertWithMessage;
 import static java.lang.Math.sqrt;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.math.StatsTesting.ManyValues;
 import com.google.common.primitives.Doubles;
 import com.google.common.primitives.Longs;
diff --git a/guava-tests/test/com/google/common/math/StatsTest.java b/guava-tests/test/com/google/common/math/StatsTest.java
index 9112ef3..3c35104 100644
--- a/guava-tests/test/com/google/common/math/StatsTest.java
+++ b/guava-tests/test/com/google/common/math/StatsTest.java
@@ -78,7 +78,6 @@ import static java.lang.Double.POSITIVE_INFINITY;
 import static java.lang.Math.sqrt;
 import static java.util.Arrays.stream;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.math.StatsTesting.ManyValues;
 import com.google.common.primitives.Ints;
 import com.google.common.primitives.Longs;
diff --git a/guava-tests/test/com/google/common/math/StatsTesting.java b/guava-tests/test/com/google/common/math/StatsTesting.java
index 261cdd4..e696f6f 100644
--- a/guava-tests/test/com/google/common/math/StatsTesting.java
+++ b/guava-tests/test/com/google/common/math/StatsTesting.java
@@ -24,7 +24,6 @@ import static java.lang.Double.POSITIVE_INFINITY;
 import static org.junit.Assert.fail;
 
 import com.google.common.base.Predicates;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Lists;
 import com.google.common.primitives.Doubles;
diff --git a/guava-tests/test/com/google/common/math/TestPlatform.java b/guava-tests/test/com/google/common/math/TestPlatform.java
index 03eb2ec..5c70ad3 100644
--- a/guava-tests/test/com/google/common/math/TestPlatform.java
+++ b/guava-tests/test/com/google/common/math/TestPlatform.java
@@ -16,10 +16,8 @@
 
 package com.google.common.math;
 
-import com.google.common.annotations.GwtCompatible;
 
 /** @author Chris Povirk */
-@GwtCompatible(emulated = true)
 class TestPlatform {
   static boolean intsCanGoOutOfRange() {
     return false;
diff --git a/guava-tests/test/com/google/common/net/HostAndPortTest.java b/guava-tests/test/com/google/common/net/HostAndPortTest.java
index 65e8096..792d20d 100644
--- a/guava-tests/test/com/google/common/net/HostAndPortTest.java
+++ b/guava-tests/test/com/google/common/net/HostAndPortTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.net;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.SerializableTester;
 import junit.framework.TestCase;
@@ -26,7 +25,6 @@ import junit.framework.TestCase;
  *
  * @author Paul Marks
  */
-@GwtCompatible
 public class HostAndPortTest extends TestCase {
 
   public void testFromStringWellFormed() {
diff --git a/guava-tests/test/com/google/common/net/HostSpecifierTest.java b/guava-tests/test/com/google/common/net/HostSpecifierTest.java
index fadeff7..fd9a2bb 100644
--- a/guava-tests/test/com/google/common/net/HostSpecifierTest.java
+++ b/guava-tests/test/com/google/common/net/HostSpecifierTest.java
@@ -18,7 +18,6 @@ package com.google.common.net;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
 import java.text.ParseException;
